lsyMatrix-class {Matrix} | R Documentation

## Symmetric Dense Logical Matrices

### Description

The `"lsyMatrix"` class is the class of symmetric, dense logical matrices in non-packed storage and `"lspMatrix"` is the class of of these in packed storage. In the packed form, only the upper triangle or the lower triangle is stored.

### Objects from the Class

Objects can be created by calls of the form `new("lsyMatrix", ...)`.

### Slots

`uplo`:

  Object of class `"character"`. Must be either "U", for upper triangular, and "L", for lower triangular.

`x`:

  Object of class `"logical"`. The logical values that constitute the matrix, stored in column-major order.

`Dim`,`Dimnames`:

  The dimension (a length-2 `"integer"`) and corresponding names (or `NULL`), see the `Matrix` class.

`factors`:

  Object of class `"list"`. A named list of factorizations that have been computed for the matrix.

### Extends

Both extend classes `"ldenseMatrix"` and `"symmetricMatrix"`, directly; further, class `"Matrix"` and others, indirectly. Use `showClass("lsyMatrix")`, e.g., for details.

### Methods

Currently, mainly `t()` and coercion methods (for `as(.)`; use, e.g., `showMethods(class="dsyMatrix")` for details.

### See Also

`lgeMatrix`, `Matrix`, `t`

### Examples

    (M2 <- Matrix(c(TRUE, NA,FALSE,FALSE), 2,2)) # logical dense (ltr)
    str(M2)
    # can
    (sM <- M2 | t(M2)) # "lge"
    as(sM, "lsyMatrix")
    str(sM <- as(sM, "lspMatrix")) # packed symmetric

[Package Matrix version 1.2-7.1 Index]